//判断浏览器
function createXMLHttp()
{
    var request = false;
    if (window.XMLHttpRequest){ request = new XMLHttpRequest(); }
    else if (window.ActiveXObject) 
    {
       try{ request = new ActiveXObject("MSXML2.XMLHTTP"); } 
       catch (e1) 
       {
         try{ request = new ActiveXObject("Microsoft.XMLHTTP"); } 
         catch (e2){ request = false; }
       }
    }
    return request;
}
    //以XML求取ddl_LocusCity的数据
	function XmlPost_LocusCity(obj)
    {
		var svalue = obj.value;
		var webFileUrl = "?provinceid=" + svalue;
		var result = "";
		var xmlHttp = createXMLHttp();
		xmlHttp.open("POST", webFileUrl, false);
		xmlHttp.send("");
		result = xmlHttp.responseText;
				　　
		if(result != "")
		{
			document.getElementById("ddl_LocusCity").length=0;
			var piArray = result.split(",");
			for(var i=0;i<piArray.length;i++)
			{
				var ary = piArray[i].toString().split("|");
				document.getElementById("ddl_LocusCity").options.add(new Option(ary[1].toString(),ary[0].toString()));
			}
			document.getElementById("hid_LocusCity").value = document.getElementById("ddl_LocusCity").options[document.getElementById("ddl_LocusCity").selectedIndex].value;
		}
		else
		{
			alert(result);
		}
	}
	
	
	//以XML求取lib_JobTypeBox的数据
	function XmlPost_JobTypeBox(obj)
    {
		var svalue = obj.value;
		var webFileUrl = "?jobtypeid=" + svalue;
		var result = "";
		var xmlHttp = createXMLHttp();
		xmlHttp.open("POST", webFileUrl, false);
		xmlHttp.send("");
		result = xmlHttp.responseText;
				　　
		if(result != "")
		{
			document.getElementById("lib_JobTypeBox").length=0;
			var piArray = result.split(",");
			for(var i=0;i<piArray.length;i++)
			{
				var ary = piArray[i].toString().split("|");
				document.getElementById("lib_JobTypeBox").options.add(new Option(ary[1].toString(),ary[0].toString()));
			}
		}
		else
		{
			alert(result);
		}
	}
	
    //以XML求取lib_WorkPlaceBox的数据
	function XmlPost_WorkPlaceBox(obj)
    {
		var svalue = obj.value;
		var webFileUrl = "?workplaceid=" + svalue;
		var result = "";
		var xmlHttp = createXMLHttp();
		xmlHttp.open("POST", webFileUrl, false);
		xmlHttp.send("");
		result = xmlHttp.responseText;
				　　
		if(result != "")
		{
			document.getElementById("lib_WorkPlaceBox").length=0;
			var piArray = result.split(",");
			for(var i=0;i<piArray.length;i++)
			{
				var ary = piArray[i].toString().split("|");
				document.getElementById("lib_WorkPlaceBox").options.add(new Option(ary[1].toString(),ary[0].toString()));
			}
		}
		else
		{
			alert(result);
		}
	}